### Method

# Camel Stream ref_base_stream

since: 3.12

#### Declaration [src]

    GIOStream*
    camel_stream_ref_base_stream (
      CamelStream* stream
    )

#### Description [src]

Returns the `GIOStream` for `stream`. This is only valid if `stream` was created with camel_stream_new(). For all other `CamelStream` subclasses this function returns `NULL`.

The returned `GIOStream` is referenced for thread-safety and should be unreferenced with `g_object_unref()` when finished with it.

Available since: 3.12

#### Return value

Type: `GIOStream`

A `GIOStream`, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.